#!/usr/bin/env python3
'''
This file is part of HTD (HayzenTech Database)

Copyright (C) 2011 - 2013 Andrew Hayzen

HTD is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

HTD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with HTD. If not, see <http://www.gnu.org/licenses/>

This document conforms to the PEP 8 Style Guide
'''

# 'specialist' tests
# TODO: permissions/authentication
# TODO: Version, Concurrency Control testing

# Objects
# TODO: san/unsan

from unittest import main

from tests.data_type import DataTypeTest
from tests.file_type import FileTypeTest  # TODO: add more tests

from tests.htd import HTDTest
from tests.connection import ConnectionTest  # TODO: exception types

from tests.user import AuthenticateTest, UserTest
from tests.authentication import AuthTest

from tests.attribute import AttributeTest  # TODO: data checks (eg regexpr)
from tests.attributes import AttributesTest

from tests.record import RecordTest
from tests.cursor import CursorTest

from tests.event import EventTest  # TODO: Add more tests
from tests.relation import RelationTest
from tests.thread import ThreadTest  # TODO: Add more tests


if __name__ == "__main__":
    main(verbosity=2)
