#!/usr/bin/env python3
'''
This file is part of HTD (HayzenTech Database)

Copyright (C) 2011 - 2013 Andrew Hayzen

HTD is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

HTD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with HTD. If not, see <http://www.gnu.org/licenses/>

This document conforms to the PEP 8 Style Guide
'''

from distutils.core import setup

setup(name="htd32",
      description="HTD (HayzenTech Database) is a pure python library which "
                  "acts as a simple database engine.",
      version="3.2",
      author="Andrew Hayzen",
      author_email="htd@hayzentech.co.uk",
      url="http://www.hayzentech.co.uk/htd",
      classifiers=["Development Status :: 4 - Beta",
                   "Intended Audience :: Developers",
                   "License :: OSI Approved :: GNU Lesser General Public "
                   "License v3 (LGPLv3)",
                   "Programming Language :: Python",
                   "Programming Language :: Python :: 3",
                   "Topic :: Database :: Database Engines/Servers",
                   "Topic :: Software Development :: Libraries :: Python "
                   "Modules",
                   "Operating System :: POSIX",
                   "Operating System :: Microsoft :: Windows"],
      packages=['htd32', 'htd32/_base', 'htd32/_objects', 'htd32/_workers',
                'htd32/_workers/file_fix', 'htd32/_workers/file_var',
                'htd32/_workers/header', 'htd32/_workers/index',
                'htd32/_workers/search'],
      package_dir={'htd32': 'htd32',
                   'htd32/_base': 'htd32/_base',
                   'htd32/_objects': 'htd32/_objects',
                   'htd32/_workers': 'htd32/_workers',
                   'htd32/_workers/file_fix': 'htd32/_workers/file_fix',
                   'htd32/_workers/file_var': 'htd32/_workers/file_var',
                   'htd32/_workers/header': 'htd32/_workers/header',
                   'htd32/_workers/index': 'htd32/_workers/index',
                   'htd32/_workers/search': 'htd32/_workers/search'}
      )
