#!/usr/bin/env python3
'''
This file is part of HTD (HayzenTech Database)

Copyright (C) 2011 - 2013 Andrew Hayzen

HTD is free software: you can redistribute it and/or modify
it under the terms of the GNU Lesser General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

HTD is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License
along with HTD. If not, see <http://www.gnu.org/licenses/>

This document conforms to the PEP 8 Style Guide
'''

import htd32
from os import mkdir, name
from os.path import exists, sep

# htd32.Register.default_fhandler = htd32.FileType.FIXED_WIDTH_FILE

htd_engine = htd32

names = []


if name == "posix":
    root = "/tmp"
elif name == "nt":
    root = "C:\\tmp"

    if not exists(root):
        mkdir(root)

for i in range(10):
    path = sep.join([root, "".join(["tbl", str(i), ".htd"])])
    names.append(path)
